org.gjt.sp.jedit

## Class ServiceManager.ServiceFoldHandlerProvider

- java.lang.Object
- - org.gjt.sp.jedit.ServiceManager.ServiceFoldHandlerProvider

All Implemented Interfaces:
  FoldHandlerProvider

Enclosing class:
  ServiceManager

    public static class ServiceManager.ServiceFoldHandlerProvider
    extends java.lang.Object
    implements FoldHandlerProvider

A FoldHandler based on the ServiceManager

Since:
  jEdit 4.3pre10

### Field Summary

Fields
`static java.lang.String` `SERVICE` The service type.

### Constructor Summary

Constructors
Constructor and Description
`ServiceManager.ServiceFoldHandlerProvider()`

### Method Summary

Methods
`FoldHandler` `getFoldHandler(java.lang.String name)` Returns the fold handler with the specified name, or null if there is no registered handler with that name.
`java.lang.String[]` `getFoldModes()` Returns an array containing the names of all registered fold handlers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE

    public static final java.lang.String SERVICE

The service type. See `ServiceManager`.

Since:
  jEdit 4.3pre10
See Also:
  Constant Field Values

### Constructor Detail

#### ServiceManager.ServiceFoldHandlerProvider

    public ServiceManager.ServiceFoldHandlerProvider()

### Method Detail

#### getFoldHandler

    public FoldHandler getFoldHandler(java.lang.String name)

Returns the fold handler with the specified name, or null if there is no registered handler with that name.

Specified by:
  `getFoldHandler` in interface `FoldHandlerProvider`
Parameters:
  `name` - The name of the desired fold handler
Returns:
  the FoldHandler or null if it doesn't exist
Since:
  jEdit 4.3pre10

#### getFoldModes

    public java.lang.String[] getFoldModes()

Returns an array containing the names of all registered fold handlers.

Specified by:
  `getFoldModes` in interface `FoldHandlerProvider`
Since:
  jEdit 4.3pre10